Subject: Re: ixgbe patch to provide NIC's tx/rx counters via ethtool

From: Peter P Waskiewicz Jr <[email-masked]>
Date: Thu, 24 Sep 2009 11:28:28 -0700

On Wed, 2009-09-23 at 15:36 -0700, Ben Greear wrote:
> When LRO is enabled, the received packet and byte counters represent the
> LRO'd packets, not the packets/bytes on the wire.  The Intel 82599 NIC has
> registers that keep count of the physical packets.  Add these counters to
> the ethtool stats.  The byte counters are 36-bit, but the high 4 bits were
> being ignored in the 2.6.31 ixgbe driver:  Read those as well to allow
> longer time between polling the stats to detect wraps.
> 
> Signed-off-by: Ben Greear <[email-masked]>
> 
> 
> Please do not apply this until the ixgbe authors ACK it.  There may
> have been reasons for not reading the high 4 bits, or they may dislike
> this approach entirely.

Aside from the trivial line-wrap on the comments, I'm fine with this
patch.  There is no issue I could find with the hardware that would
limit you from reading the high 4 bits.  And since we're reading it
already to clear the register, we might as well use the value we get
from it.

Acked-by: Peter P Waskiewicz Jr <[email-masked]>